Skip to main content
PUT
/
contract
/
v1
/
salaries
/
{salaryId}
Update a salary
curl --request PUT \
  --url https://api-{region}.sesametime.com/contract/v1/salaries/{salaryId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "endDate": "2023-12-25",
  "comments": "<string>"
}
'
import requests

url = "https://api-{region}.sesametime.com/contract/v1/salaries/{salaryId}"

payload = {
"endDate": "2023-12-25",
"comments": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({endDate: '2023-12-25', comments: '<string>'})
};

fetch('https://api-{region}.sesametime.com/contract/v1/salaries/{salaryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "currency": "EUR",
    "grossSalary": 35000,
    "payments": 12,
    "contributionGroup": "Oficiales administrativos",
    "startDate": "2023-12-25",
    "endDate": "2023-12-25",
    "comments": "<string>",
    "prorated": false,
    "monthlyGrossSalary": 2917,
    "remuneration": 2916.67,
    "createdAt": "2020-01-01T10:00:00+01:00",
    "updatedAt": "2020-01-01T10:00:00+01:00"
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

salaryId
string<uuid>
required

Salary ID

Body

application/json

Salary object that needs to be updated

endDate
string<date>

End date of salary

comments
string

Comments

Response

200 - application/json
data
object
meta
object